curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/currency_amount_changes \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/currency_amount_changes"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/currency_amount_changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/currency_amount_changes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/currency_amount_changes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/currency_amount_changes")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/currency_amount_changes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"CurrencyAmount\", \"vid\": \"ea0e1662320893cd4f296f634896df5ea3f280e3\", \"currency\": \"USD\", \"amount\": 65, \"metadata\": { \"color\": \"black\" }, \"description\": \"Grant Credit\", \"reason\": \"Testing purpose\", \"granted_by_cashbox\": false, \"granted\": \"2022-12-30T10:37:29+00:00\", \"source\": \"Account\", \"note\": \"Testing\" }, { \"object\": \"CurrencyAmount\", \"vid\": \"c1f3ad8a05fe075ff387dbe05aa88ed8846be357\", \"currency\": \"USD\", \"amount\": 55, \"metadata\": { \"color\": \"black\" }, \"description\": \"Grant Credit\", \"reason\": \"Testing purpose\", \"granted_by_cashbox\": false, \"granted\": \"2022-12-30T10:39:15+00:00\", \"source\": \"Account\", \"note\": \"Testing\" } ], \"total_count\": 2, \"url\": \"/accounts/Account_1649141886/currency_amount_changes\", \"next\": \"/accounts/Account_1649141886/currency_amount_changes?starting_after=c1f3ad8a05fe075ff387dbe05aa88ed8846be357\", \"previous\": \"/accounts/Account_1649141886/currency_amount_changes?ending_before=ea0e1662320893cd4f296f634896df5ea3f280e3\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Fetch all Currency Credit Amount Changes
Fetch all Currency Credit Amount Changes for an Account.
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/currency_amount_changes \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/currency_amount_changes"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/currency_amount_changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/currency_amount_changes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/currency_amount_changes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/currency_amount_changes")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/accounts/{ID}/currency_amount_changes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"CurrencyAmount\", \"vid\": \"ea0e1662320893cd4f296f634896df5ea3f280e3\", \"currency\": \"USD\", \"amount\": 65, \"metadata\": { \"color\": \"black\" }, \"description\": \"Grant Credit\", \"reason\": \"Testing purpose\", \"granted_by_cashbox\": false, \"granted\": \"2022-12-30T10:37:29+00:00\", \"source\": \"Account\", \"note\": \"Testing\" }, { \"object\": \"CurrencyAmount\", \"vid\": \"c1f3ad8a05fe075ff387dbe05aa88ed8846be357\", \"currency\": \"USD\", \"amount\": 55, \"metadata\": { \"color\": \"black\" }, \"description\": \"Grant Credit\", \"reason\": \"Testing purpose\", \"granted_by_cashbox\": false, \"granted\": \"2022-12-30T10:39:15+00:00\", \"source\": \"Account\", \"note\": \"Testing\" } ], \"total_count\": 2, \"url\": \"/accounts/Account_1649141886/currency_amount_changes\", \"next\": \"/accounts/Account_1649141886/currency_amount_changes?starting_after=c1f3ad8a05fe075ff387dbe05aa88ed8846be357\", \"previous\": \"/accounts/Account_1649141886/currency_amount_changes?ending_before=ea0e1662320893cd4f296f634896df5ea3f280e3\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id or the vid of the Account for which currency credit amount changed A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Query Parameters
A limit on the number of objects to be returned, between 1 and 100.
1 <= x <= 100A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.
A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.
Response
JSON A list array with a data property that contains an array of up to limit CurrencyAmounts, starting after the specified starting_after CurrencyAmount (or ending before the specified ending_before CurrencyAmount). If no more CurrencyAmounts are available, the resulting array will be empty. This request should never throw an error.
A list of CurrencyAmount objects matching the query. Also:
-
“total_count”: Integer count of the number of CurrencyAmount in the returned list.
-
“url”: The query string provided in the request
-
“next”: The route (partial URL) to the next CurrencyAmount object (string to select the “next”); included vid should match that of the last object returned here
-
“previous”: The route (partial URL) to the previous CurrencyAmount object (string to select the “previous”); included vid should match that of the first object returned here
Value is “CurrencyAmount”
CurrencyAmount A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.
128The currency amount of the credit.
Metadata are sets of key-value pairs and are useful for storing additional, structured information on an object. This object is used to store a list of keys, which you create and associate with text string values. You use these key-value pairs to store custom data for your own internal tracking purposes, or to store CashBox specific data for defined CashBox purposes.
The metadata field supports key-value pairs with the following limitations:
Keys can be up to 256 characters
Keys can be any string that is needed, except only CashBox can prefix keys with vin:
Values can be up to 1024 characters
In some cases metadata from one object will be inherited automatically from one object to another that is spawned from it. e.g. metadata on a Subscription and SubscriptionItem will be inherited by all Transactions and TransactionItems that result from them.
Order of precedence value.
Text provided upon credit grant.
Text provided upon credit grant.
The date and time the credit was originally granted.
The Account represents a merchant’s customer. As such it can contain as much or as little information as you collect about the customers (people or organizations) to which you offer billing and subscriptions. Subscriptions and Transactions must belong to an Account - as such, Accounts will be required in CashBox for billing. Read More in our User Guide
An Account can have any number of children accounts and may have up to one parent account. Read more in our User Guide.
An Account owns the “on file” payment methods to be used by it in billing.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"{ \"object\": \"List\", \"data\": [ { \"object\": \"CurrencyAmount\", \"vid\": \"ea0e1662320893cd4f296f634896df5ea3f280e3\", \"currency\": \"USD\", \"amount\": 65, \"metadata\": { \"color\": \"black\" }, \"description\": \"Grant Credit\", \"reason\": \"Testing purpose\", \"granted_by_cashbox\": false, \"granted\": \"2022-12-30T10:37:29+00:00\", \"source\": \"Account\", \"note\": \"Testing\" }, { \"object\": \"CurrencyAmount\", \"vid\": \"c1f3ad8a05fe075ff387dbe05aa88ed8846be357\", \"currency\": \"USD\", \"amount\": 55, \"metadata\": { \"color\": \"black\" }, \"description\": \"Grant Credit\", \"reason\": \"Testing purpose\", \"granted_by_cashbox\": false, \"granted\": \"2022-12-30T10:39:15+00:00\", \"source\": \"Account\", \"note\": \"Testing\" } ], \"total_count\": 2, \"url\": \"/accounts/Account_1649141886/currency_amount_changes\", \"next\": \"/accounts/Account_1649141886/currency_amount_changes?starting_after=c1f3ad8a05fe075ff387dbe05aa88ed8846be357\", \"previous\": \"/accounts/Account_1649141886/currency_amount_changes?ending_before=ea0e1662320893cd4f296f634896df5ea3f280e3\" }"

